Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ComputedColumnHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ComputedColumnHandle

    public class ComputedColumnHandle

extends StructureHandle

Represents the handle of computed column. A computed column is a ��virtual�� column produced as an expression of other columns within the data set. It includes the column name and the expression used to define a computed column.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ComputedColumnHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of computed column.

Method Summary
`void` | `addAggregateOn(java.lang.String aggreValue)` Adds an aggregate level to the list.
`AggregationArgumentHandle` | `addArgument(AggregationArgument argument)` Adds an arguments to list.
`java.util.Iterator` | `argumentsIterator()` Returns additional arguments to the aggregate function.
`void` | `clearAggregateOnList()` Clears the aggregate on list.
`void` | `clearArgumentList()` Clears the argument list.
`java.lang.String` | `getAggregateFunction()` Returns the expression used to define this computed column.
`java.lang.String` | `getAggregateOn()` Returns the aggregateOn expression used to define this computed column.
`java.util.List` | `getAggregateOnList()` Returns the list containing levels to be aggregated on.
`java.lang.String` | `getAggregrateOn()` Deprecated. by `getAggregateOn()`
`java.lang.String` | `getColumnName()` Deprecated. using `getName()` instead.
`java.lang.String` | `getDataType()` Returns the data type of this column.
`java.lang.String` | `getDisplayName()` Returns column display name.
`java.lang.String` | `getDisplayNameID()` Gets column display name id.
`java.lang.String` | `getDisplayText()` Returns the localized text for the computed column.
`java.lang.String` | `getExpression()` Returns the expression used to define this computed column.
`java.lang.String` | `getFilterExpression()` Returns the expression used to define this computed column.
`java.lang.String` | `getName()` Returns the column name.
`void` | `removeAggregateOn(java.lang.String aggreValue)` Removes an aggregate level from the list.
`void` | `removeArgument(AggregationArgument argument)` Removes an arguments from list.
`void` | `setAggregateFunction(java.lang.String expression)` Sets the expression used to define this computed column.
`void` | `setAggregateOn(java.lang.String aggregateOn)` Sets the aggregateOn expression used to define this computed column.
`void` | `setAggregrateOn(java.lang.String aggregateOn)` Deprecated. by `setAggregateOn(String)`
`void` | `setColumnName(java.lang.String columnName)` Deprecated. using `setName(String)` instead.
`void` | `setDataType(java.lang.String dataType)` Sets the data type of this column.
`void` | `setDisplayName(java.lang.String columnDisplayName)` Sets the column display name.
`void` | `setDisplayNameID(java.lang.String displayNameID)` Sets column display name id.
`void` | `setExpression(java.lang.String expression)` Sets the expression used to define this computed column.
`void` | `setFilterExpression(java.lang.String expression)` Sets the expression used to define this computed column.
`void` | `setName(java.lang.String columnName)` Sets the column name.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputedColumnHandle

    public ComputedColumnHandle(SimpleValueHandle valueHandle,
                                int index)

  Constructs the handle of computed column.

  Parameters:
    `valueHandle` - the value handle for computed column list of one property
    `index` - the position of this computed column in the list

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Deprecated. using `getName()` instead.

  Returns the column name.

  Returns:
    the column name

### getDisplayName

    public java.lang.String getDisplayName()

  Returns column display name.

  Returns:
    column display name.

### getDisplayNameID

    public java.lang.String getDisplayNameID()

  Gets column display name id.

  Returns:
    column display name id.

### setDisplayNameID

    public void setDisplayNameID(java.lang.String displayNameID)
                          throws SemanticException

  Sets column display name id.

  Parameters:
    `displayNameID` - the column display name id.
  Throws:
    `SemanticException`

### getDisplayText

    public java.lang.String getDisplayText()

  Returns the localized text for the computed column. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

  Returns:
    the localized display name.

### getName

    public java.lang.String getName()

  Returns the column name.

  Returns:
    the column name

### setColumnName

    public void setColumnName(java.lang.String columnName)

  Deprecated. using `setName(String)` instead.

  Sets the column name.

  Parameters:
    `columnName` - the column name to set

### setDisplayName

    public void setDisplayName(java.lang.String columnDisplayName)
                        throws SemanticException

  Sets the column display name.

  Parameters:
    `columnDisplayName` - the column display name to set.
  Throws:
    `SemanticException` - if the new column display name duplicates with the existed ones.

### setName

    public void setName(java.lang.String columnName)
                 throws SemanticException

  Sets the column name.

  Parameters:
    `columnName` - the column name to set.
  Throws:
    `SemanticException` - if the new column name duplicates with the existed ones.

### getExpression

    public java.lang.String getExpression()

  Returns the expression used to define this computed column.

  Returns:
    the expression used to define this computed column

### setExpression

    public void setExpression(java.lang.String expression)
                       throws SemanticException

  Sets the expression used to define this computed column.

  Parameters:
    `expression` - the expression to set
  Throws:
    `SemanticException` - value required exception

### getAggregrateOn

    public java.lang.String getAggregrateOn()

  Deprecated. by `getAggregateOn()`

  Returns the aggregateOn expression used to define this computed column.

  Returns:
    the aggregateOn expression used to define this computed column

### setAggregrateOn

    public void setAggregrateOn(java.lang.String aggregateOn)

  Deprecated. by `setAggregateOn(String)`

  Sets the aggregateOn expression used to define this computed column.

  Parameters:
    `aggregateOn` - the aggregateOn expression to set

### getDataType

    public java.lang.String getDataType()

  Returns the data type of this column. The possible values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Returns:
    the data type of this column.

### setDataType

    public void setDataType(java.lang.String dataType)
                     throws SemanticException

  Sets the data type of this column. The allowed values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the dataType is not in the choice list.

### addAggregateOn

    public void addAggregateOn(java.lang.String aggreValue)
                        throws SemanticException

  Adds an aggregate level to the list.

  Parameters:
    `aggreValue` - the aggregate name. For listing elements, this can be "All" or the name of a single group.
  Throws:
    `SemanticException`

### addArgument

    public AggregationArgumentHandle addArgument(AggregationArgument argument)
                                          throws SemanticException

  Adds an arguments to list.

  Parameters:
    `argument` - the aggregate function argument
  Returns:
    aggregation argument handle.
  Throws:
    `SemanticException`

### getAggregateFunction

    public java.lang.String getAggregateFunction()

  Returns the expression used to define this computed column. The function is one of following values:
  - DesignChoiceConstants.MEASURE_FUNCTION_SUM
  - DesignChoiceConstants.MEASURE_FUNCTION_COUNT
  - DesignChoiceConstants.MEASURE_FUNCTION_MIN
  - DesignChoiceConstants.MEASURE_FUNCTION_MAX

  Returns:
    the expression used to define this computed column

### getAggregateOn

    public java.lang.String getAggregateOn()

  Returns the aggregateOn expression used to define this computed column.

  Returns:
    the aggregateOn expression used to define this computed column

### getAggregateOnList

    public java.util.List getAggregateOnList()

  Returns the list containing levels to be aggregated on.

  Returns:
    the list containing levels to be aggregated on

### argumentsIterator

    public java.util.Iterator argumentsIterator()

  Returns additional arguments to the aggregate function. Each item in the list is instance of `AggregationArgumentHandle`.

  Returns:
    a list containing additional arguments

### getFilterExpression

    public java.lang.String getFilterExpression()

  Returns the expression used to define this computed column.

  Returns:
    the expression used to define this computed column

### removeAggregateOn

    public void removeAggregateOn(java.lang.String aggreValue)
                           throws SemanticException

  Removes an aggregate level from the list.

  Parameters:
    `aggreValue` - the aggregate name. For listing elements, this can be "All" or the name of a single group.
  Throws:
    `SemanticException`

### removeArgument

    public void removeArgument(AggregationArgument argument)
                        throws SemanticException

  Removes an arguments from list.

  Parameters:
    `argument` - the aggregate function argument
  Throws:
    `SemanticException`

### setAggregateFunction

    public void setAggregateFunction(java.lang.String expression)
                              throws SemanticException

  Sets the expression used to define this computed column. The function is one of following values:
  - DesignChoiceConstants.MEASURE_FUNCTION_SUM
  - DesignChoiceConstants.MEASURE_FUNCTION_COUNT
  - DesignChoiceConstants.MEASURE_FUNCTION_MIN
  - DesignChoiceConstants.MEASURE_FUNCTION_MAX

  Parameters:
    `expression` - the expression to set
  Throws:
    `SemanticException` - if the `expression` is not one of above values.

### setAggregateOn

    public void setAggregateOn(java.lang.String aggregateOn)

  Sets the aggregateOn expression used to define this computed column.

  Parameters:
    `aggregateOn` - the aggregateOn expression to set

### setFilterExpression

    public void setFilterExpression(java.lang.String expression)
                             throws SemanticException

  Sets the expression used to define this computed column.

  Parameters:
    `expression` - the expression to set
  Throws:
    `SemanticException` - value required exception

### clearAggregateOnList

    public void clearAggregateOnList()
                              throws SemanticException

  Clears the aggregate on list.

  Throws:
    `SemanticException`

### clearArgumentList

    public void clearArgumentList()
                           throws SemanticException

  Clears the argument list.

  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.